load("apart1.Rdata")
ozone=read.csv("ozone.data", sep="\t")
#Plot ozone levels wr to temperature
plot(ozone~temperature, data=ozone)
plot(ozone~temperature, data=ozone, type="l")
# Sorting a dataframe with order()
x=c(4,2,7,2,3)
order(x)
# in ozone : order by temperature in increasing order
ozone1=ozone[order(ozone$temperature),]
plot(ozone~temperature, data=ozone1, type="l")
# Compare plots ozone~temperature for wind < or > 13
ozonewindlow=ozone1[ozone1$wind<=13, ]
ozonewindhigh=ozone1[ozone1$wind>13, ]
plot(ozone~temperature, data=ozonewindhigh, type="l")
lines(ozone~temperature, data=ozonewindlow, col="red")
# Fix axes dimensions
# 1st way
ozmin=min(ozone$ozone)
ozmax=max(ozone$ozone)
plot(ozone~temperature, data=ozonewindhigh, ylim=c(ozmin, ozmax), type="l")
lines(ozone~temperature, data=ozonewindlow, col="red")
# 2nd way
plot(ozone~temperature, data=ozone1,  type="n")
lines(ozone~temperature, data=ozonewindhigh,  col="blue")
lines(ozone~temperature, data=ozonewindlow, col="red")
# Plot Matrix
par(mfrow=c(1,2))
plot(ozone~temperature, data=ozonewindhigh,  col="blue", type="l", main="low wind")
plot(ozone~temperature, data=ozonewindlow,  col="blue", type="l")
#
# Store plots in file 
#
pdf("plots.pdf")
par(mfrow=c(1,2))
plot(ozone~temperature, data=ozonewindhigh,  col="blue", type="l", main="low wind")
plot(ozone~temperature, data=ozonewindlow,  col="blue", type="l")
dev.off()
plot(ozone~temperature, data=ozonewindhigh,  col="blue", type="l", main="low wind")
plot(ozone~temperature, data=ozonewindhigh,  col="blue", type="l", main="low wind")
# 
# Probability Modeling
#
dnorm(7,5,10)
pnorm(5,5,10)
qpois(0.75,30)
runif(50,30,40)
rpois(1,10)
